---
lang: en
title: 'API docs: core.extensions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.extensions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [extensions](./core.extensions.md)

## extensions namespace

**Signature:**

```typescript
export declare namespace extensions 
```

## Functions

<table><thead><tr><th>

Function


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[list(extensionPointName, metadata)](./core.extensions.list.md)


</td><td>

Inject an array of resolved extension instances for the extension point. The list is a snapshot of registered extensions when the injection is fulfilled. Extensions added or removed afterward won't impact the list.


</td></tr>
<tr><td>

[view(extensionPointName, metadata)](./core.extensions.view.md)


</td><td>

Inject a `ContextView` for extensions of the extension point. The view can then be listened on events such as `bind`<!-- -->, `unbind`<!-- -->, or `refresh` to react on changes of extensions.


</td></tr>
</tbody></table>


